%global momorel 2
%global qtver 4.6.3
%global kdever 4.5.0
%global kdelibsrel 1m

Summary: KDE Micro-Blogging client, Currently supports Identi.ca and Twitter.com
Name: choqok
Version: 0.9.92
Release: %{momorel}m%{?dist}
License: GPLv3
Group: Applications/Internet
URL: http://choqok.gnufolks.org/
Source0: http://d10xg45o6p6dbl.cloudfront.net/projects/c/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: qca2
Requires: qjson
Requires: qoauth
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: coreutils
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: qca2-devel
BuildRequires: qjson-devel
BuildRequires: qoauth-devel

%description
Choqok:
KDE Micro-Blogging client, Currently supports Identi.ca and Twitter.com.

%package libs
Summary: Shared runtime libraries of choqok
Group: System Environment/Libraries

%description libs
This package contains shared runtime libraries of choqok.

%package devel
Summary: choqok - files for developing
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on choqok.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# move dbus service file to correct space
mkdir -p %{buildroot}%{_datadir}/dbus-1/services
mv %{buildroot}%{_kde4_appsdir}/dbus-1/services/org.kde.choqok.service %{buildroot}%{_datadir}/dbus-1/services/

# revise desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database &> /dev/null || :

%postun
%{_bindir}/update-desktop-database &> /dev/null || :

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO changelog
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/*%{name}*.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}*
%{_kde4_appsdir}/khtml/kpartplugins/konq%{name}.*
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_datadir}/dbus-1/services/org.kde.choqok.service
%{_kde4_iconsdir}/hicolor/*/actions/retweet.png
%{_kde4_iconsdir}/hicolor/*/apps/*.png
%{_kde4_datadir}/kde4/services/ServiceMenus/%{name}_*.desktop
%{_kde4_datadir}/kde4/services/%{name}_*.desktop
%{_kde4_datadir}/kde4/servicetypes/%{name}*plugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png

%files libs
%defattr(-, root, root)
%{_kde4_libdir}/lib%{name}*.so.*
%{_kde4_libdir}/libtwitterapihelper.so.*

%files devel
%defattr(-, root, root)
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/lib%{name}*.so
%{_kde4_libdir}/libtwitterapihelper.so
%{_kde4_appsdir}/cmake/modules/Find*.cmake

%changelog
* Tue Nov  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.92-2m)
- fix up Requires and BuildRequires

* Tue Nov  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.92-1m)
- initial package for Twitter freaks using Momonga Linux
